webpackJsonp([64],{

/***/ 1194:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecordRideStatsPageModule", function() { return RecordRideStatsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__record_ride_stats__ = __webpack_require__(1530);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RecordRideStatsPageModule = /** @class */ (function () {
    function RecordRideStatsPageModule() {
    }
    RecordRideStatsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__record_ride_stats__["a" /* RecordRideStatsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__record_ride_stats__["a" /* RecordRideStatsPage */]),
            ],
        })
    ], RecordRideStatsPageModule);
    return RecordRideStatsPageModule;
}());

//# sourceMappingURL=record-ride-stats.module.js.map

/***/ }),

/***/ 1530:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RecordRideStatsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_record_ride_record_ride__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_convert_metrics_convert_metrics__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var RecordRideStatsPage = /** @class */ (function () {
    function RecordRideStatsPage(navCtrl, viewCtrl, convertMetris, navParams, recordRideProvider) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.convertMetris = convertMetris;
        this.navParams = navParams;
        this.recordRideProvider = recordRideProvider;
        this.currentSpeed = "0.0";
        this.interval = null;
        this.mainColor = "#fdfffc";
    }
    RecordRideStatsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad RecordRideStatsPage');
    };
    RecordRideStatsPage.prototype.closeModal = function (data) {
        this.viewCtrl.dismiss(data);
    };
    RecordRideStatsPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        this.interval = setInterval(function () {
            var speed = _this.recordRideProvider.getCurrentSpeed();
            speed = speed * 1.35;
            _this.mainColor = "#fdfffc";
            if (speed > 27.7) {
                //100kmh
                _this.mainColor = "#2ec4b6";
            }
            if (speed > 41.69) {
                //150kmh
                _this.mainColor = "#ff9f1c";
            }
            if (speed > 55.56) {
                //200kmh
                _this.mainColor = "#e71d36";
            }
            _this.currentSpeed = Math.round(_this.convertMetris.convertSpeedInCurrentSystemMetrics(speed).value);
        }, 1000);
    };
    RecordRideStatsPage.prototype.ionViewDidLeave = function () {
        if (this.interval) {
            clearInterval(this.interval);
            this.interval = null;
        }
    };
    RecordRideStatsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-record-ride-stats',template:/*ion-inline-start:"/Users/giok57/REPOS/new-wanda/wanda-android-34/src/pages/record-ride-stats/record-ride-stats.html"*/'\n<ion-content fullscreen>   \n  <div class="main-container" [ngStyle]="{\'background-color\':mainColor}">\n    <div ion-fixed class="close-button-container">\n      <button ion-button (click)="closeModal()"><ion-icon name="md-close"></ion-icon></button>\n    </div>\n    <div class="top-container">\n      <div class="title">\n        Powered by\n      </div>\n      <img alt="WHIP" src="assets/img/LOGO-dark.png" >\n    </div>\n    <div class="main-wrapper">\n      \n      <div class="center-container">\n        <div class="speed">\n          <h1>{{currentSpeed}}</h1>\n          <h4>Km/h</h4>\n        </div>\n      </div>\n    </div>\n  </div> \n</ion-content>\n'/*ion-inline-end:"/Users/giok57/REPOS/new-wanda/wanda-android-34/src/pages/record-ride-stats/record-ride-stats.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["A" /* ViewController */], __WEBPACK_IMPORTED_MODULE_3__providers_convert_metrics_convert_metrics__["a" /* ConvertMetricsProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_record_ride_record_ride__["a" /* RecordRideProvider */]])
    ], RecordRideStatsPage);
    return RecordRideStatsPage;
}());

//# sourceMappingURL=record-ride-stats.js.map

/***/ })

});
//# sourceMappingURL=64.js.map